<script>
	import Container from "@/components/container.svelte"
	import Carousel from "./Carousel.svelte"

	export let carsProp = "popular"
</script>

<template lang="pug">
.carousel-row.is-clipped: Container
	.title
		h2: slot
	.carousel
		Carousel( carsProp='{carsProp}' )
</template>

<style lang="scss">
.carousel-row {
	:global(.section) {
		padding-top: 0;
	}
}

.title {
	padding-top: 1rem;
	margin-bottom: 4rem;
	border-top: 1px solid $black;
}
</style>